Update specific address
curl --request PUT \
--url https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
},
"email": "test@mail.com"
}
'import requests
url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}"
payload = {
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
},
"email": "test@mail.com"
}
headers = {
"x-site-context": "<x-site-context>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address1: '1234 Main St.',
city: 'Houston',
state: 'TX',
country: 'USA',
zipCode: 77035,
attention: 'Account Manager',
address2: 'Suite 710',
address3: 'Floor 7',
company: 'Acme Inc.',
kind: 'Business',
phone: {number: '555-123-4567', kind: 'Mobile'},
name: {first: 'Pat', last: 'Kake'},
email: 'test@mail.com'
})
};
fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'address1' => '1234 Main St.',
'city' => 'Houston',
'state' => 'TX',
'country' => 'USA',
'zipCode' => 77035,
'attention' => 'Account Manager',
'address2' => 'Suite 710',
'address3' => 'Floor 7',
'company' => 'Acme Inc.',
'kind' => 'Business',
'phone' => [
'number' => '555-123-4567',
'kind' => 'Mobile'
],
'name' => [
'first' => 'Pat',
'last' => 'Kake'
],
'email' => 'test@mail.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}"
payload := strings.NewReader("{\n \"address1\": \"1234 Main St.\",\n \"city\": \"Houston\",\n \"state\": \"TX\",\n \"country\": \"USA\",\n \"zipCode\": 77035,\n \"attention\": \"Account Manager\",\n \"address2\": \"Suite 710\",\n \"address3\": \"Floor 7\",\n \"company\": \"Acme Inc.\",\n \"kind\": \"Business\",\n \"phone\": {\n \"number\": \"555-123-4567\",\n \"kind\": \"Mobile\"\n },\n \"name\": {\n \"first\": \"Pat\",\n \"last\": \"Kake\"\n },\n \"email\": \"test@mail.com\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}")
.header("x-site-context", "<x-site-context>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"address1\": \"1234 Main St.\",\n \"city\": \"Houston\",\n \"state\": \"TX\",\n \"country\": \"USA\",\n \"zipCode\": 77035,\n \"attention\": \"Account Manager\",\n \"address2\": \"Suite 710\",\n \"address3\": \"Floor 7\",\n \"company\": \"Acme Inc.\",\n \"kind\": \"Business\",\n \"phone\": {\n \"number\": \"555-123-4567\",\n \"kind\": \"Mobile\"\n },\n \"name\": {\n \"first\": \"Pat\",\n \"last\": \"Kake\"\n },\n \"email\": \"test@mail.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address1\": \"1234 Main St.\",\n \"city\": \"Houston\",\n \"state\": \"TX\",\n \"country\": \"USA\",\n \"zipCode\": 77035,\n \"attention\": \"Account Manager\",\n \"address2\": \"Suite 710\",\n \"address3\": \"Floor 7\",\n \"company\": \"Acme Inc.\",\n \"kind\": \"Business\",\n \"phone\": {\n \"number\": \"555-123-4567\",\n \"kind\": \"Mobile\"\n },\n \"name\": {\n \"first\": \"Pat\",\n \"last\": \"Kake\"\n },\n \"email\": \"test@mail.com\"\n}"
response = http.request(request)
puts response.read_body[
{
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"email": "test@mail.com",
"isValidated": true,
"isDefault": true,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
}
}
]{
"error": "ADDRESS_NOT_FOUND",
"code": "404",
"message": "Address not found"
}{
"error": "INTERNAL_SERVER_ERROR",
"code": "500",
"message": "Internal server error"
}Address
Update specific address
Update specified address for specified user
PUT
/
api-commerceIdentity
/
user
/
{userId}
/
address
/
{addressId}
Update specific address
curl --request PUT \
--url https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
},
"email": "test@mail.com"
}
'import requests
url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}"
payload = {
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
},
"email": "test@mail.com"
}
headers = {
"x-site-context": "<x-site-context>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address1: '1234 Main St.',
city: 'Houston',
state: 'TX',
country: 'USA',
zipCode: 77035,
attention: 'Account Manager',
address2: 'Suite 710',
address3: 'Floor 7',
company: 'Acme Inc.',
kind: 'Business',
phone: {number: '555-123-4567', kind: 'Mobile'},
name: {first: 'Pat', last: 'Kake'},
email: 'test@mail.com'
})
};
fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'address1' => '1234 Main St.',
'city' => 'Houston',
'state' => 'TX',
'country' => 'USA',
'zipCode' => 77035,
'attention' => 'Account Manager',
'address2' => 'Suite 710',
'address3' => 'Floor 7',
'company' => 'Acme Inc.',
'kind' => 'Business',
'phone' => [
'number' => '555-123-4567',
'kind' => 'Mobile'
],
'name' => [
'first' => 'Pat',
'last' => 'Kake'
],
'email' => 'test@mail.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}"
payload := strings.NewReader("{\n \"address1\": \"1234 Main St.\",\n \"city\": \"Houston\",\n \"state\": \"TX\",\n \"country\": \"USA\",\n \"zipCode\": 77035,\n \"attention\": \"Account Manager\",\n \"address2\": \"Suite 710\",\n \"address3\": \"Floor 7\",\n \"company\": \"Acme Inc.\",\n \"kind\": \"Business\",\n \"phone\": {\n \"number\": \"555-123-4567\",\n \"kind\": \"Mobile\"\n },\n \"name\": {\n \"first\": \"Pat\",\n \"last\": \"Kake\"\n },\n \"email\": \"test@mail.com\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}")
.header("x-site-context", "<x-site-context>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"address1\": \"1234 Main St.\",\n \"city\": \"Houston\",\n \"state\": \"TX\",\n \"country\": \"USA\",\n \"zipCode\": 77035,\n \"attention\": \"Account Manager\",\n \"address2\": \"Suite 710\",\n \"address3\": \"Floor 7\",\n \"company\": \"Acme Inc.\",\n \"kind\": \"Business\",\n \"phone\": {\n \"number\": \"555-123-4567\",\n \"kind\": \"Mobile\"\n },\n \"name\": {\n \"first\": \"Pat\",\n \"last\": \"Kake\"\n },\n \"email\": \"test@mail.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address1\": \"1234 Main St.\",\n \"city\": \"Houston\",\n \"state\": \"TX\",\n \"country\": \"USA\",\n \"zipCode\": 77035,\n \"attention\": \"Account Manager\",\n \"address2\": \"Suite 710\",\n \"address3\": \"Floor 7\",\n \"company\": \"Acme Inc.\",\n \"kind\": \"Business\",\n \"phone\": {\n \"number\": \"555-123-4567\",\n \"kind\": \"Mobile\"\n },\n \"name\": {\n \"first\": \"Pat\",\n \"last\": \"Kake\"\n },\n \"email\": \"test@mail.com\"\n}"
response = http.request(request)
puts response.read_body[
{
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"email": "test@mail.com",
"isValidated": true,
"isDefault": true,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
}
}
]{
"error": "ADDRESS_NOT_FOUND",
"code": "404",
"message": "Address not found"
}{
"error": "INTERNAL_SERVER_ERROR",
"code": "500",
"message": "Internal server error"
}Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Body
application/json
Request body for updating a user's address
Response
OK
Was this page helpful?
